<id>
Users Today Hidden User Patch-German
</id>

<version>
1.0
</version>

<mod info>
If you have the Hidden User Mod installed, and you only want Admins and GMods to see the hidden users in the Users Today list, install this mod to enable that feature.  Hidden users can be identified by their italicized name with an asterisk (*).

Modifies the following files:

-- Admin/users_today.pl
-- Languages/German/users_today.pl
-- Sources/users_today_2.pl
</mod info>

<author>
Brian Longo
</author>

<homepage>
http://www.eyeontoccoa.com/mods/
</homepage>

<edit file>
Admin/users_today.pl
</edit file>

<search for>
	if ($guest_ip) { $g_ip_checked = ' checked'; }
</search for>

<add after>
	if ($user_today_hidden_show) {$usr_hid_tod_checked = ' checked';}
</add after>

<search for>
       <div class="setting_cell">$uttxt{'6'}</div>
       <div class="setting_cell2"><input type="checkbox" name="show_guest_today" $s_g_t_checked /></div>
       <br />
</search for>

<add after>
       <div class="setting_cell">$uttxt{'12'}</div>
       <div class="setting_cell2"><input type="checkbox" name="show_hidden_users_today" $usr_hid_tod_checked /></div>
       <br />
</add after>

<search for>
	$show_guest_today = $FORM{'show_guest_today'} ? 1 : 0;
</search for>

<add after>
	$user_today_hidden_show = $FORM{'show_hidden_users_today'} ? 1 :0;
</add after>

<search for>
\$show_guest_today = $show_guest_today; # set to 1 to show number of guests in Online Today list
</search for>

<add after>
\$user_today_hidden_show = $user_today_hidden_show; # set to 1 to keep hidden users off of the Users Today listing
</add after>

<edit file>
Languages/German/users_today.lng
</edit file>

<search for>
'11' => "Gste' IP Adressen in heutigen Gste Liste auflisten?",
</search for>

<add after>
'12' => "Versteckte Mitglieder in der heutigen Mitglieder Liste entfernen?",
</add after>

<edit file>
Sources/users_today_2.pl
</edit file>

<search for>
	fopen(FILE,"$vardir/usertoday.txt");
	@utoday=<FILE>;
	fclose(FILE);
	$usertodaycount = @utoday;
	$usertoday = '';
	for($a=2;$a < $usertodaycount;$a++){
	   $utoday[$a] =~ s/\n//gi;
	   $utname = $utoday[$a];
   	   if($utname ne ''){&LoadUser($utname);}
   	   if(!$link{$utname}){&LoadMiniUser($utname);}
	   if($utname eq $username){$Inserted1 = 'true';}
	   if(-e ("$memberdir/$name.vars") && $utname eq $name){$Inserted2 = 'true';}
	   $usertoday .= qq~$link{$utname}~;
	   $usertoday .= qq~, ~;
	}
	$usertodaycount = $usertodaycount-2;
</search for>

<replace>
	fopen(FILE,"$vardir/usertoday.txt");
	@utoday=<FILE>;
	fclose(FILE);
	$usertodaycount = @utoday;
	$usertodaycounthidden = 0;
	$usertoday = '';
	for($a=2;$a < $usertodaycount;$a++){
	   $utoday[$a] =~ s/\n//gi;
	   $utname = $utoday[$a];
	   if($utname ne ''){ &LoadUser($utname); }
   	   if(!$link{$utname}){&LoadMiniUser($utname);}
	   if($utname eq $username){$Inserted1 = 'true';}
	   if(-e ("$memberdir/$name.vars") && $utname eq $name){$Inserted2 = 'true';}
## Let admins and gmods see the hidden user in the users today block ##
	   if($iamadmin || $iamgmod){
	      if(${$uid.$utname}{'hide_me'} eq "on"){
		     $usertoday .= qq~<i>$link{$utname}</i>*~;  ## hidden users show up in italics
		     $usertoday .= qq~, ~;
	      }
		  else {
		     $usertoday .= qq~$link{$utname}~;
		     $usertoday .= qq~, ~;
		  }
	   }
## If switched on, regular members will not see hidden users in users today block ##
	   else {
	      if(${$uid.$utname}{'hide_me'} eq "on" && $user_today_hidden_show eq 1){
	         $usertodaycounthidden--;
	      }
	      else {
	         $usertoday .= qq~$link{$utname}~;
		     $usertoday .= qq~, ~;
	      }
	   }
	}
	$usertodaycount = $usertodaycount+$usertodaycounthidden-2;
</replace>